Validate export storage

Validate a specific S3 export storage connection.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
aws_access_key_idstringOptional

AWS_ACCESS_KEY_ID

aws_secret_access_keystringOptional

AWS_SECRET_ACCESS_KEY

aws_session_tokenstringOptional

AWS_SESSION_TOKEN

aws_sse_kms_key_idstringOptional
AWS SSE KMS Key ID
bucketstringOptional
S3 bucket name
can_delete_objectsbooleanOptionalDefaults to false
Deletion from storage enabled.
descriptionstringOptional
Storage description
idintegerOptional
Storage ID. If set, storage with specified ID will be updated
prefixstringOptional
S3 bucket prefix
projectintegerOptional
Project ID
region_namestringOptional
AWS Region
s3_endpointstringOptional
S3 Endpoint
titlestringOptional<=2048 characters
Storage title

Response

Validation successful